package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumUserAdmin {

    // 0-不是超管 1是超管

    Normal(0, "不是超管"),
    ADMIN(1, "超管")
    ;

    public static EnumUserAdmin getEnum(Integer code) {
        for (EnumUserAdmin value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumUserAdmin(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
